خوش آمدید به انجمن ای فری

بازدیدکننده گرامی برای دسترسی به تمامی امکانات در انجمن عضو شوید. پس از ثبت نام و ورود به سیستم ، می توانید موضوعات ایجاد کنید ، پاسخ به موضوعات موجود ارسال کنید ، به اعضای انجمن امتیاز دهید ، اقدام به خرید و فروش کنید ، و موارد دیگر. عضویت، سریع و کاملاً رایگان است ، پس منتظر چی هستی؟

درخواست راهنمایی

اگر نیاز به راهنمایی دارید درخواست خود را ثبت کنید

فروشگاه

قالب و افزونه و محصولات خود را میتوانید اینجا خرید و فروش کنید

دانلود منابع

قالب و افزونه های جدید و بروز را میتوایند از اینجا دانلود کنید

آموزش مناسب ترین نسخه PHP برای وردپرس 5

saeedGeo

مدیر ارشد انجمن
عضویت
3/15/19
ارسال ها
19
امتیاز واکنش
85
امتیاز
13
سن
35
محل سکونت
تهران

مشکل چیست؟


تا سال پیش من مناسب‌ترین ورژن php را برای همه دوستان و همکاران و حتی در کارگاه‌هایم، ورژن 5.6 معرفی می‌کردم. مهم‌ترین علت کار من هم این بود که php5.6 با افزونه‌های قدیمی هم کار می‌کند و تقریباً تمام افزونه‌های جدید هم طوری برنامه‌نویسی می‌شوند تا از این ورژن استفاده کنند. اما با اتفاقاتی که افتاده یعنی پایان عمر این ورژن و پایان عمر پشتیبانی امنیتی آن، سایت‌هایی که از این ورژن استفاده می‌کنند در معرض خطرات امنیتی هستند ، به‌علاوه افزونه‌ها و قالب‌های جدید دیگر این ورژن را پشتیبانی نمی‌کنند.

بهترین نسخه PHP مناسب وردپرس 5 چیست؟
در حال حاضر از بین ورژن های مختلف php مانند 7.0 و 7.1 و 7.2 و 7.3 ، ما ورژن php7.2 را به شما پیشنهاد می‌کنیم. اما چرا؟

ورژن های 7.0 و 7.1 کمی قدیمی شده‌اند و جدیدترین نسخه‌ها 7.2 و 7.3 هستند. اما نسخه 7.3 php چون بیش‌ازحد جدید است افزونه‌ها و قالب‌های وردپرس با آن کامل سازگار نیستند و در برخی موارد خطا تولید می‌کنند. در کارگاه چهارم طراحی سایت ما این مشکل به وجود آمد که برخی از دوستان از آخرین نسخه php استفاده کردند و بعد از فعال‌سازی قالب پیام خطا دریافت می‌کردند.

چرا عمر PHP5.6 تمام شد و باید کوچ کرد
دلایل زیادی وجود دارد که باید این کار را انجام بدهیم مانند:

  • سرعت کمتر
  • هشدار وردپرس راجع به این نسخه در پنل مدیریتی وردپرس
  • پایان پشتیبانی
  • امنیت کمتر
  • نداشتن سازگاری با نسخه های جدید افزونه ها و قالب های وردپرس
مهم‌ترین دلیل برای کوچ به نسخه های بالاتر ،سازگاری با قالب‌ها و افزونه‌های جدید است که دیگر نسخه‌های قدیمی php را پشتیبانی نمی‌کنند
مزیت های نسخه php7.2
این نسخه از php جزو پایدارترین نسخه ها در حال حاظر است و مزیت های آن عبارتند از:

  • سرعت بیشتر
  • امنیت بیشتر
  • موجود بودن پشتیبانی
  • سازگاری بالا با قالب ها و افزونه های وردپرس
ارتقاء نسخه PHP سایت در cpanel
قبل از انجام این کار در صورتی که بک آپ کامل از سایت خودتان تهیه نکردید حتما تهیه کنید. در صورتی که شما از کنترل پنل cpanel استفاده می کنید باید مانند عکس زیر به قسمت multi php manager بروید.



changing-php-version-1-1024x381.png
در صفحه بعدی مانند عکس زیر، نام دامنه خود را انتخاب و سپس نسخه php7.2 را انتخاب کنید. و روی گزینه apply کلیک کنید.

changing-php-version-2-1024x389.pngتغییر نسخه php در نرم افزار xampp
در صورتی که از این نرم افزار استفاده می کنید شما فقط با یک روش میتوانید آن را ارتقا دهید.

با حذف نرم افزار و سپس نصب یک نسخه دیگر از آن. پس به سایت نرم افزار xampp بروید و نسخه 7.2 را دانلود کنید.
 
shape1
shape2
shape3
shape4
shape7
shape8
بالا